MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024865Open CASCADE[OCCT] OCCT:Data Exchangepublic2014-04-21 18:302017-07-27 09:33
Reporteribs 
Assigned Toibs 
PrioritynormalSeverityminor 
StatusassignedResolutionopen 
PlatformOSOS Version
Product Version[OCCT] 6.7.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0024865: igesread loopback transfer process should not skip any entity
Descriptionafter iges LOOPBACK read process, the statistics on transfer process (Read) says that
"CurveOnSurface : 3D and 2D curve representations are invalid : entity skipped."

The transfer process should not skip any entity.
Steps To Reproduce#test de iges_1 R1
ReadIges D_First W:/occt_tests_data/private/old/iges/BUC50003.igs
WriteIges D_First D:/occt/tmp/de/iges_1/R1_D_First.igs
ReadIges D_Second D:/occt/tmp/de/iges_1/R1_D_First.igs
tpstat c
TagsNo tags attached.
Test case numberde iges_1(001) R1, bugs xde(005) bug24865
Attached Files

- Relationships

-  Notes
(0029063)
ibs (developer)
2014-04-24 16:54

dear bugmaster, please test CR24865 branch
(0029168)
mkv (tester)
2014-04-30 15:34

Dear BugMaster,

Branch CR24865 (and products from GIT master) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 7fe695feaa7a0d684f41113978c35f82d22a85ef

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 0 (0 on master)
MacOS: 351 (351 on master)

products component :
Linux: 12 (12 on master)
Windows: 2 (2 on master)

Regressions/Differences:
http://occt-tests/CR24865-master-occt/Debian60-64/summary.html [^]
de iges_3(003) A3

Testing cases:
http://occt-tests/CR24865-master-occt/Debian60-64/de/iges_1/R1.html [^]
http://occt-tests/CR24865-master-occt/Windows-32-VC9/de/iges_1/R1.html [^]
de iges_1(001) R1

http://occt-tests/CR24865-master-occt/Debian60-64/bugs/xde/bug24865.html [^]
http://occt-tests/CR24865-master-occt/Windows-32-VC9/bugs/xde/bug24865.html [^]
bugs xde(005) bug24865: OK

Testing on Linux:
Total MEMORY difference: 355622632 / 355723928
Total CPU difference: 58369.10999999985 / 55240.56999999973

Testing on Windows:
Total MEMORY difference: 379450312 / 379843896
Total CPU difference: 37508.8125 / 36615.28125

There are no differences in images found by testdiff.
(0033240)
git (administrator)
2014-10-17 06:59

Branch CR24865_2 has been created by abv.

SHA-1: 9b69b20ea4911e86096f2fc785640235c9b3d020


Detailed log of new commits:

Author: mkv
Date: Wed Apr 30 15:36:02 2014 +0400

    Test case for issues CR24865

Author: ibs
Date: Tue Apr 22 16:47:05 2014 +0400

    test cases were corrected according to their new behavior
    
    Conflicts:
        tests/de/iges_2/F4
        tests/de/iges_3/A2

Author: ibs
Date: Tue Apr 22 15:40:43 2014 +0400

    0024865: igesread loopback transfer process should not skip any entity
    
    natural bounds are added to faces with infinite UV bounds and without outer wire
    unrelated changes: the output of de test cases now has the list of main test steps.
(0033244)
abv (manager)
2014-10-17 09:57

I have rebased this branch on current master and there seem to be no regressions on Windows in de grid. However, it is not clear how the problem (failure to read the curve) is connected with solution (adding natural bound flag on unbounded planes)...

- Issue History
Date Modified Username Field Change
2014-04-21 18:30 ibs New Issue
2014-04-21 18:30 ibs Assigned To => ibs
2014-04-21 18:31 ibs Relationship added related to 0024249
2014-04-21 18:31 ibs Status new => assigned
2014-04-22 10:33 ibs Summary iges/step read transfer process should not skip any entity => igesread transfer process should not skip any entity
2014-04-22 10:33 ibs Description Updated View Revisions
2014-04-22 10:33 ibs Steps to Reproduce Updated View Revisions
2014-04-22 12:41 ibs Summary igesread transfer process should not skip any entity => igesread loopback transfer process should not skip any entity
2014-04-22 12:41 ibs Description Updated View Revisions
2014-04-22 12:41 ibs Steps to Reproduce Updated View Revisions
2014-04-24 16:53 ibs Status assigned => resolved
2014-04-24 16:54 ibs Note Added: 0029063
2014-04-24 16:54 ibs Assigned To ibs => bugmaster
2014-04-24 16:54 ibs Status resolved => reviewed
2014-04-24 17:53 ibs Target Version 6.7.1 => 6.8.0
2014-04-24 18:39 mkv Assigned To bugmaster => mkv
2014-04-30 15:34 mkv Note Added: 0029168
2014-04-30 15:37 mkv Test case number => de iges_1(001) R1, bugs xde(005) bug24865
2014-04-30 15:37 mkv Assigned To mkv => ibs
2014-04-30 15:37 mkv Status reviewed => assigned
2014-10-17 06:59 git Note Added: 0033240
2014-10-17 09:57 abv Note Added: 0033244
2014-10-17 12:34 abv Target Version 6.8.0 => 7.1.0
2016-10-26 20:04 gka Target Version 7.1.0 => 7.2.0
2017-07-27 09:33 abv Target Version 7.2.0 => 7.4.0*


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker